Loading...
Searching...
No Matches
VAXConversion.h File Reference
`#include <casacore/casa/aips.h>`
`#include <assert.h>`
`#include <casacore/casa/OS/LittleEndianConversion.h>`

Go to the source code of this file.

## Classes

class | casacore::VAXConversion
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | SIZE_VAX_CHAR
| Define the canonical sizes of the built-in data types.
#define | SIZE_VAX_UCHAR
#define | SIZE_VAX_SHORT
#define | SIZE_VAX_USHORT
#define | SIZE_VAX_INT
#define | SIZE_VAX_UINT
#define | SIZE_VAX_INT64
#define | SIZE_VAX_UINT64
#define | SIZE_VAX_FLOAT
#define | SIZE_VAX_DOUBLE

## Macro Definition Documentation

## SIZE_VAX_CHAR

#define SIZE_VAX_CHAR

Define the canonical sizes of the built-in data types.

These are the same for all machine architectures.

Definition at line 40 of file VAXConversion.h.

## SIZE_VAX_DOUBLE

#define SIZE_VAX_DOUBLE

Definition at line 49 of file VAXConversion.h.

## SIZE_VAX_FLOAT

#define SIZE_VAX_FLOAT

Definition at line 48 of file VAXConversion.h.

## SIZE_VAX_INT

#define SIZE_VAX_INT

Definition at line 44 of file VAXConversion.h.

## SIZE_VAX_INT64

#define SIZE_VAX_INT64

Definition at line 46 of file VAXConversion.h.

## SIZE_VAX_SHORT

#define SIZE_VAX_SHORT

Definition at line 42 of file VAXConversion.h.

## SIZE_VAX_UCHAR

#define SIZE_VAX_UCHAR

Definition at line 41 of file VAXConversion.h.

## SIZE_VAX_UINT

#define SIZE_VAX_UINT

Definition at line 45 of file VAXConversion.h.

## SIZE_VAX_UINT64

#define SIZE_VAX_UINT64

Definition at line 47 of file VAXConversion.h.

## SIZE_VAX_USHORT

#define SIZE_VAX_USHORT

Definition at line 43 of file VAXConversion.h.